{
    "dynamic":"strict",
    "properties": {
        "id":{"type":"long"},
        "is_online":{"type":"boolean"},//上线
        "has_video_cover":{"type":"boolean"},//是否有视频封面
        "has_cover":{"type":"boolean"},//是否有封面
        "has_before_cover":{"type":"boolean"},//是否有术前封面
        "has_after_cover":{"type":"boolean"},//是否有术后封面
        "normal_topic_count":{"type":"long"}, //上线且flag为'n'的日记数
        "before_cover_url":{"type":"string"}, //术前手术图片地址
        "after_cover_url":{"type":"string"},  //术后手术图片地址

        "user":{//用户信息
            "type":"object",
            "properties":{
                "id":{"type":"long"},
                "last_name": {"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}}, //昵称
                "city_tag_id":{"type":"long"},
                "city_province_tag_id":{"type":"long"},
                "city_province_country_tag_id":{"type":"long"} //国家tagID
            }
        },
        "doctor":{//关联到医生
            "type":"object",
            "properties":{
                "id":{"type":"string","index":"not_analyzed"},
                "name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}},
                "is_authenticated":{"type":"boolean"},
                "hospital": {
                    "type": "object",
                    "properties": {
                        "id":{"type":"string","index":"not_analyzed"},
                        "name": {"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}}, //名字
                        "officer_name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}}, //机构管理者名称
                        "city_tag_id": {"type": "long"},
                        "city_province_tag_id": {"type": "long"},
                        "city_province_country_tag_id": {"type": "long"} //国家tagID
                    }
                }

            }
        },
        "has_service":{"type":"boolean"},//有福利
        "service":{//关联到福利
            "type": "object",
            "properties":{
                "id": {"type":"string", "index":"not_analyzed"},
                "rating": {"type":"string", "index":"not_analyzed"},
                "doctor_id": {"type":"string", "index":"not_analyzed"},
                "name": {"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}},
                "short_description": {"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}},
                "special_ids":{"type":"long", "index":"not_analyzed"}
            }
        },
        "hospital":{//关联到的医院
            "type":"object",
            "properties":{
                "id":{"type":"string","index":"not_analyzed"},
                //医院名字
                "name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}},
                "city_tag_id":{"type":"long"},
                "city_province_tag_id":{"type":"long"},
                "city_province_country_tag_id":{"type":"long"} //国家tagID
            }
        },
        // 五星评价, http://wiki.gengmei.cc/pages/viewpage.action?pageId=1048926
        "is_rating_5": {"type": "boolean"},
        //首页推荐
        "is_headline":{"type":"boolean"},
        //官方认证
        "is_identification":{"type":"boolean"},
        //精华
        "is_elite":{"type":"boolean"},
        //匹配tags
        "tags":{"type":"string", "analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}},
        //tag id闭包
        "closure_tag_ids":{"type":"long"},

        //新标签
        "fresh_tags": {"type":"string", "analyzer":"gm_default_index","search_analyzer":"gm_default_index","norms":{"enabled":false}},
        "fresh_closure_tag_ids":{"type":"long"},

        //热度(受欢迎度)
        "popularity":{"type":"long"},
        //最后更新时间(日记本被编辑，触发更新。日记本下的任何帖子被回复，更新)
        "last_update_time":{"type":"date", "format":"date_time_no_millis"},
        //最后回复时间(日记本有新的回复(TopicReply)或日记本中任何帖子有新的回复(TopicReply)时更新)
        "last_any_reply_time":{"type":"date", "format":"date_time_no_millis"},
        //最新帖子创建时间
        "last_topic_add_time":{"type":"date", "format":"date_time_no_millis"},
        //楼主最后回复时间
        "author_last_update_time":{"type":"date", "format":"date_time_no_millis"},
        //创建时间
        "created_time":{"type":"date", "format":"date_time_no_millis"},
        //赞数
        "vote_num": {"type": "long"},
        //是否下沉
        "is_sink":{"type":"boolean"},
        //是否置顶
        "sticky_post":{"type":"boolean"},
        //内容审核评级
        "content_level":{"type":"string", "index":"not_analyzed"},
        //关联美购rating得分评级
//        "service_rating_level":{"type":"string", "index":"not_analyzed"},
        "service_rating_level_double":{"type":"double", "index":"not_analyzed"},
        // 日记本内容评分, content_level in (4,5)
        "content_level_is_good": {"type": "boolean"},

        //ltr分
        "ltr_score": {"type":"double"},
        //热度分
        "heat_score":{"type":"double"},
        //内容质量分
        "audit_score":{"type":"double"},
        //收入贡献分(定时更新)
        "choucheng_score":{"type":"double"},
        //额外评分
        "additional_score": {"type":"long"},
          //机构罚单
        "merchant_sink_start_time":{"type":"date", "format":"date_time_no_millis"}, //开始时间
        "merchant_sink_end_time":{"type":"date", "format":"date_time_no_millis"}, //结束时间
        // 日记本首页限流
        "index_limit_start_time":{"type":"date", "format":"date_time_no_millis"}, //开始时间
        "index_limit_end_time":{"type":"date", "format":"date_time_no_millis"}, //结束时间
        "index_limit_weight2":{"type":"double"}, // 权重
        "has_order": {"type": "boolean"}, //是否有订单

        // 临近地域, deprecated
        "nearby_city_tags": {
            "type": "nested",
            "properties":{
                "tag_id":{"type": "long"},
                "name":{"type": "string", "index": "not_analyzed"}
            }
        },

        // 临近地域, in-use
        "nearby_city_tags_v1": {
            "type": "object",
            "properties":{
                "tag_id":{"type": "long"},
                "name":{"type": "string", "index": "not_analyzed"}
            }
        },
        // 相关推荐,得分
        "recommend_score":{"type": "double"},
        // 医生自定义排序
        "doctor_customize_sort": {"type": "long"},
        // 医院自定义排序
        "hospital_customize_sort": {"type": "long"},
        "feed_score":{"type": "double"},
        "stick_priority": {"type": "long"},           // 置顶优先级
        "user_classify": {"type": "long"},    //用户分类，默认-1，真实用户0，模特用户1
        "offline_score": {"type": "long"},     //离线分数,几个静态分值的计算结果
        "diary_city": {"type": "long"},
        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","index_options":"offsets"},   //日记本标提
        "answer":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_index","index_options":"offsets"}  //日记本内容

    }
}
